FROM oven/bun:1.3.1-debian

RUN apt update
RUN apt install -y curl bash nano wget zip unzip

ENV NODE_ENV=production

RUN mkdir /app

WORKDIR /app

RUN touch /root/.bashrc
RUN echo 'alias ll="ls -laF"' >/root/.bashrc

COPY . /app/.

RUN bun install

CMD ["bun", "start"]
